Module java.compiler
Package javax.lang.model.util

# Class AbstractElementVisitor9<R,P>

java.lang.Object
javax.lang.model.util.AbstractElementVisitor6<R,P>
javax.lang.model.util.AbstractElementVisitor7<R,P>
javax.lang.model.util.AbstractElementVisitor8<R,P>
javax.lang.model.util.AbstractElementVisitor9<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `ElementVisitor<R,P>`

Direct Known Subclasses:
  `AbstractElementVisitor14`

@SupportedSourceVersion(RELEASE_14) public abstract class AbstractElementVisitor9<R,P> extends AbstractElementVisitor8<R,P>
A skeletal visitor of program elements with default behavior appropriate for source versions `RELEASE_9` through `RELEASE_14`.

Since:
  9
See Also:
  - Compatibility note for subclasses
  - `AbstractElementVisitor6`
  - `AbstractElementVisitor7`
  - `AbstractElementVisitor8`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractElementVisitor9()`
  Constructor for concrete subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract R`
  `visitModule(ModuleElement e, P p)`
  Visits a module element.

  ### Methods declared in class javax.lang.model.util.AbstractElementVisitor6

  `visit, visit, visitRecordComponent, visitUnknown`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.lang.model.element.ElementVisitor

  `visitExecutable, visitPackage, visitType, visitTypeParameter, visitVariable`

- ## Constructor Details

  - ### AbstractElementVisitor9

    protected AbstractElementVisitor9()
    Constructor for concrete subclasses to call.

- ## Method Details

  - ### visitModule

    public abstract R visitModule(ModuleElement e, P p)
    Visits a module element.
    Specified by:
      `visitModule` in interface `ElementVisitor<R,P>`
    Overrides:
      `visitModule` in class `AbstractElementVisitor6<R,P>`
    Implementation Requirements:
      Visits a `ModuleElement` in a manner defined by a subclass.
    Parameters:
      `e` - the element to visit
      `p` - a visitor-specified parameter
    Returns:
      a visitor-specified result